Skip to content
Start here

List Snapshots

magic_transit.connectors.snapshots.list(strconnector_id, SnapshotListParams**kwargs) -> SnapshotListResponse
GET/accounts/{account_id}/magic/connectors/{connector_id}/telemetry/snapshots

List Snapshots

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Magic WAN WriteMagic WAN Read
ParametersExpand Collapse
account_id: str

Account identifier

maxLength32
connector_id: str
from_: float
to: float
cursor: Optional[str]
limit: Optional[float]
ReturnsExpand Collapse
class SnapshotListResponse:
count: float
items: List[Item]
a: float

Time the Snapshot was collected (seconds since the Unix epoch)

t: float

Time the Snapshot was recorded (seconds since the Unix epoch)

cursor: Optional[str]

List Snapshots

import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
snapshots = client.magic_transit.connectors.snapshots.list(
    connector_id="connector_id",
    account_id="023e105f4ecef8ad9ca31a8372d0c353",
    from_=0,
    to=0,
)
print(snapshots.count)
{
  "result": {
    "count": 0,
    "items": [
      {
        "a": 0,
        "t": 0
      }
    ],
    "cursor": "cursor"
  },
  "success": true,
  "errors": [
    {
      "code": 0,
      "message": "message"
    }
  ],
  "messages": [
    {
      "code": 0,
      "message": "message"
    }
  ]
}
Returns Examples
{
  "result": {
    "count": 0,
    "items": [
      {
        "a": 0,
        "t": 0
      }
    ],
    "cursor": "cursor"
  },
  "success": true,
  "errors": [
    {
      "code": 0,
      "message": "message"
    }
  ],
  "messages": [
    {
      "code": 0,
      "message": "message"
    }
  ]
}